### Method

# Gimp ModuleDB refresh

#### Declaration [src]

    void
    gimp_module_db_refresh (
      GimpModuleDB* db,
      const gchar* module_path
    )

#### Description [src]

Does the same as gimp_module_db_load(), plus removes all `GimpModule` instances whose modules have been deleted from disk.

Note that the `GimpModule`‘s will just be removed from the internal list and not freed as this is not possible with `GTypeModule` instances which actually implement types.

#### Parameters

`module_path` | `const gchar*`
| A #G_SEARCHPATH_SEPARATOR delimited list of directories to load modules from.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.